明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1499|回复: 3

[求助]请问:为什么我用PolyLine画不出三维多段线

[复制链接]
发表于 2008-9-28 19:38:00 | 显示全部楼层 |阅读模式
本帖最后由 作者 于 2008-9-28 19:41:53 编辑

Sub ThdPolyline()
    
   Dim Thplineobj As AcadPolyline
   Dim Thpoints(14) As Double
 
  
   '为三维顶点赋值
   Thpoints(0) = 50
   Thpoints(1) = 50
   Thpoints(2) = 100
  
   Thpoints(3) = 100
   Thpoints(4) = 50
   Thpoints(5) = 0
  
   Thpoints(6) = 150
   Thpoints(7) = 250
   Thpoints(8) = 150
  
   Thpoints(9) = 250
   Thpoints(10) = -50
   Thpoints(11) = 0
  
   Thpoints(12) = 350
   Thpoints(13) = 0
   Thpoints(14) = 150
  
 
   Set Thplineobj = ThisDrawing.ModelSpace.AddPolyline(Thpoints)
  
   ThisDrawing.Application.ZoomAll
  
  
End Sub

2006,2007都试过了,都不对,不知道哪搞错,请高手指点.

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
 楼主| 发表于 2008-9-29 11:17:00 | 显示全部楼层

已解决,函数调用错误,应该用Add3DPoly函数。

不过既然AddPolyline画二维多段线何必设置三维数组呢。Z坐标没起到作用嘛。

发表于 2008-9-30 13:35:00 | 显示全部楼层
AddPolyline的第三个参数不是Z坐标,而是高程
 楼主| 发表于 2008-10-2 09:43:00 | 显示全部楼层
谢谢!多谢指教!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 06:22 , Processed in 0.163386 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表